﻿.about-box{
    width: 100%;
    display: block;
    position: relative;
    background-color: #fffefc;
    margin-top: 125px;
    min-height: calc(100vh - 125px);
    background-color: #f0e8e4;
}
.about-all-box{
    width: 1450px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    position: relative;
    box-sizing: border-box;
    padding: 100px 0;
    background-color: #fff;
}
.about-title-box{
    font-size: 50px;
    font-weight: 700;
    position: relative;
    color: #000;
    letter-spacing: 0.06em;
    text-align: center;
    position: relative;
    z-index: 1;
}
.about-text-box{
    display: block;
    text-align: center;
    position: relative;
    z-index: 1;
}
.about-text-box{
    margin-top: 60px;
}
.about-text-box p{
    font-size: 24px;
    margin-top: 20px;
    position: relative;
    color: #352821;
    font-weight: 700;
    letter-spacing: 0.06em;
    text-align: center;
    position: relative;
    z-index: 1;
}
.about-text-box p:first-child{
    margin-top: 0;
}
.about-all-box .editor-box{
    position: relative;
    z-index: 1;
}
.about-editor-box{
    margin-top: 60px;
    display: block;
    text-align: center;
    position: relative;
    font-size: 24px;
    position: relative;
    z-index: 1;
    color: #352821;
    font-weight: 700;
    letter-spacing: 0.06em;
    box-sizing: border-box;
    padding: 0 10%;
}
.about-watermark-box{
    width: 800px;
    text-align: center;
    position: -webkit-sticky;
    position: sticky;
    bottom: calc(50% - 800px / 2);
    left: calc(50% - 800px / 2);
}
.about-watermark-box img{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
}


.teacher-list{
    width: 360px;
    max-width: 100%;
    display: inline-block;
    vertical-align: top;
    margin-bottom: 60px;
}
.teacher-list:nth-child(3n+2){
    margin: 0 60px;
}

.teacher-list-img-box{
    width: 100%;
    height: 360px;
    display: block;
    padding: 50px;
    background-color: #FFF;
    box-sizing: border-box;
    cursor: pointer;

}
#time .teacher-list-img-box{
    cursor: inherit;
}
.teacher-list-img{
    width: 100%;
    height: 100%;   
    overflow: hidden;
}
.teacher-list-name{
    width: 100%;
    text-align: center;
    font-size: 18px;
    color: #FFF;
    font-family: "微軟正黑體";
    font-weight: 700;
    background-color: #1b1b1b;
    padding: 0 10px;
    box-sizing: border-box;
    letter-spacing: 4px;
    height: 40px;
    line-height: 40px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    transition: all .5s ease;
}

.about-team-box{
    box-sizing: border-box;
    padding: 7vw 0;
}
.about-team-info-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
}
.teacher-list-link{
    margin-top: 15px;
    width: 110px;
    max-width: 100%;
    display: inline-block;
    vertical-align: top;
    text-align: center;
    background-color: #FFF;
    padding: 7.5px 0;
    transition: all .5s ease;
    cursor: pointer;
}
.teacher-list-link-list-box .teacher-list-link:nth-child(3){
    margin: 0 15px;
    margin-top: 15px;
}
.teacher-list-link.teacher-list-introduction{
    width: 100%;
    display: block;
    font-size: 18px;
    color: #555555;
    height: 46px;
    line-height: 46px;
    box-sizing: border-box;
    padding: 0;
}
.teacher-list-introduction-p{
   display: inline-block;
   vertical-align: middle; 
   letter-spacing: 4px;
}
.teacher-list-link.teacher-list-introduction i{
    display: inline-block;
    vertical-align: middle;
    margin-left: 5px;
}


.teacher-page-block{
    width: 100%;
    height: 100vh;
    position: fixed;
    z-index: 9999;
    display: none;
    top: 0;
    left: 0;
}
.teacher-page-block.active{
    display: table;
}
.teacher-page-box{
    display: table-cell;
    vertical-align: middle;
}
.teacher-page-info-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
    padding: 25px;
    box-sizing: border-box;
    z-index: 1;
    background-color: #f5f5f5;
    font-size: 0;
    height: 410px;
    box-sizing: border-box;
}

.teacher-page-left-box{
    width: 360px;
    max-width: 100%;
    display: inline-block;
    vertical-align: top;

}
.teacher-left-img-box{
    height: 360px;
    background-color: #FFF;
    padding: 49px;
    box-sizing: border-box;
    border: 1px solid #d1d1d1;
    
}
.teacher-left-img{
    width: 100%;
    height: 100%;
    display: block;

}

.teacher-page-mask{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgba(0,0,0,0.9);
}


.teacher-page-left-box .teacher-list-link{
    box-sizing: border-box;
    border: 1px solid #d1d1d1; 
}
.teacher-page-left-box .teacher-list-link.teacher-list-introduction{
    line-height: 44px;
}
.teacher-page-right-box{
    width: calc(100% - 360px);
    padding-left: 20px;
    box-sizing: border-box;
    display: inline-block;
    vertical-align: top;
    height: 100%;
}
.teacher-page-name{
    font-size: 18px;
    color: #000;
    font-family: "微軟正黑體";
    font-weight: 700;
    letter-spacing: 4px; 
    margin-bottom: 15px;
    height: 28px;
    overflow: hidden;
 
}
.teacher-page-right-list-box{
    width: 100%;
    height: calc(100% - 60px);
    overflow-x: hidden;
    overflow-y: auto;
    display: block;
}
.teacher-page-right-course-box{
    width: 100%;
}
.teacher-page-right-list{
    width: 100%;
    display: block;
}
.teacher-page-right-edit-box{
    font-size: 14px;
    line-height: 2;
    font-family: "Roboto", "Noto Sans TC";
    color: #555555;
    letter-spacing: 1px;
}
.teacher-out-box {
    position: absolute;
    top: -20px;
    color: #FFF;
    font-size: 36px;
    right: -40px;
    cursor: pointer;
    transition: all .5s ease;
    cursor: pointer;
}


@media only screen and (max-width: 1450px){
    .about-all-box{
        width: 1200px;
    }
}
@media only screen and (max-width: 1200px){
    .about-all-box,
    .about-team-info-box{
        width: 1000px;
    }
    .about-watermark-box {
        width: 750px;
        bottom: calc(50% - 750px / 2);
        left: calc(50% - 750px / 2);
    }
    .about-text-box p{
        font-size: 22px;
    }
    .about-editor-box{
        font-size: 22px;
    }
}
@media only screen and (max-width: 1000px){
    .about-box{
        margin-top: 80px;
        min-height: calc(100vh - 80px);
    }
    .about-all-box{
        width: 750px;
        padding: 40px 20px;
    }
    .about-watermark-box {
        width: 500px;
        bottom: calc(50% - 500px / 2);
        left: calc(50% - 500px / 2);
    }
    .about-title-box{
        font-size: 40px;
    }
    .about-text-box p{
        font-size: 20px;
        margin-top: 15px;
    }
    .about-text-box{
        margin-top: 40px;
    }
    .about-team-info-box{
        width: 750px;
    }
    .about-editor-box{
        font-size: 20px;
        margin-top: 40px;
    }
}
@media only screen and (max-width: 768px){
    
    .about-all-box{
        width: 550px;
        padding: 30px 20px;
    }
    .about-watermark-box {
        width: 400px;
        bottom: calc(50% - 400px / 2);
        left: calc(50% - 400px / 2);
    }
    .about-title-box{
        font-size: 30px;
    }
    .about-text-box p{
        font-size: 18px;
        margin-top: 10px;
    }
    .about-text-box{
        margin-top: 20px;
    }
    .about-editor-box{
        font-size: 18px;
        margin-top: 20px;
    }

    .about-team-info-box{
        width: 550px;
    }
}
@media only screen and (max-width: 550px){
    .about-box{
        margin-top: 50px;
        min-height: calc(100vh - 50px);
    }
    .about-all-box{
        width: 95%;
        padding: 20px 10px;
    }
    .about-watermark-box {
        width: 250px;
        bottom: calc(50% - 250px / 2);
        left: calc(50% - 250px / 2);
    }
    .about-title-box{
        font-size: 20px;
    }
    .about-text-box p{
        font-size: 14px;
        margin-top: 5px;
    }
    .about-text-box{
        margin-top: 10px;
    }
    .about-editor-box{
        font-size: 14px;
        margin-top: 10px;
    }

    .about-team-info-box{
        width: 95vw;
    }
}


@media only screen and (max-width: 1280px){
    .teacher-page-info-box{
        width: 1000px;
    }

}
@media only screen and (max-width: 1200px){
    .teacher-box{
        width: 1000px;
    }
    .teacher-list:nth-child(3n+2) {
        margin: 0px 30px;
    }
    .teacher-list{
        width: 313px;
    }
    .teacher-list-img-box{
        height: 313px;
        padding: 25px;
    }
    .teacher-list-name{
        font-size: 16px;
    }
    .time-link{
        font-size: 16px;
    }
    .calendar-date-time-list{
        font-size: 12px;
    }
    .teacher-list-box .teacher-list-link{
        width: 94px;
    }
    .teacher-list-box .teacher-list-link.teacher-list-introduction{
        width: 100%;
    }
}

@media only screen and (max-width: 1100px){
    .teacher-page-info-box{
        width: 900px;
    }
    .teacher-page-right-course-s-list{
        margin: 0 5px;
    }
}
@media only screen and (max-width: 1000px){
    .teacher-list{
        opacity: 1;
    }
    .teacher-box{
        width: 750px;
    }
  
    .teacher-list{
        width: 236px;
        margin-bottom: 20px;
    }
    .teacher-list:nth-child(3n+2) {
        margin: 0px 20px;
    }
    .teacher-list-img-box{
        height: 236px;
    }
    .teacher-list-img-box{
        padding: 10px;
    }
    .teacher-page-info-box{
        width: 700px;
    }
    .teacher-out-box{
        top: -55px;
        right: 0;
    }
    .teacher-page-info-box{
        padding: 10px;
    }
    .teacher-left-img-box{
        padding: 20px;
    }
    .teacher-page-left-box{
        width: 280px;
    }
    .teacher-left-img-box{
        height: 280px;
    }
    .teacher-page-right-box{
        width: calc(100% - 280px);
    }
    .teacher-list-link-list-box .teacher-list-link:nth-child(3){
        margin: 0 5px;
        margin-top: 15px;
    }
    .teacher-list-link{
        width: 90px;
    }
    .teacher-page-info-box{
        height: 438px;
    }
    .teacher-page-right-course-b-img{
        height: 292px;
    }
    .teacher-list-box .teacher-list-link{
        width: 75px;
        margin-top: 5px;
    }
    .teacher-list-box .teacher-list-link:nth-child(3){
        margin-top: 5px;
    }
}
@media only screen and (max-width: 750px){
    .teacher-page-info-box{
        width: 550px;
    }
    .teacher-page-left-box{
        width: 190px;
    }
    .teacher-left-img-box{
        height: 190px;
        padding: 10px;
    }
    .teacher-page-left-box .teacher-list-link.teacher-list-introduction{
 
        margin-top: 5px;
    }
    .teacher-page-left-box .teacher-list-link.teacher-list-introduction{
        height: inherit;
        line-height: inherit;
    }
    .teacher-list-link{
        margin-top: 5px;
    }
    .teacher-page-left-box .teacher-list-link:nth-child(3){
        
        margin: 0;
        margin-top: 5px;
        margin-left: 10px;
    }
    .teacher-list-link .teacher-list-introduction-p,
    .teacher-list-link i{
        font-size: 16px;
    }
    .teacher-list-link-p{
        margin-top: 0;
    }
    .teacher-list-link{
        padding: 5.5px 0;
    }
    .teacher-page-right-box {
        width: calc(100% - 190px);
    }
    .teacher-page-name{
        font-size: 14px;
        height: 22px;
        margin-bottom: 5px;
    }
    .teacher-page-right-course-b-img{
        height: 260px;
    }
    .teacher-page-right-course-s-img{
        height: 40px;
    }
    .teacher-page-info-box {
        height: 365px;
    }
    .teacher-out-box {
        top: -14px;
        right: 0;
        color: #000;
    }
    .teacher-list:nth-child(3n+2) {
        margin: 0px 0px;
    }
    .teacher-list:nth-child(even){
        margin-left: 20px;
    }
    .teacher-box{
        width: 550px;
    }
    .teacher-list{
        width: 265px;
    }
    .teacher-list-img-box{
        height: 265px;
    }
    .teacher-list-box .teacher-list-link{
        width: 85px;
    }
}
@media only screen and (max-width: 550px){
    .teacher-box {
        width: 340px;
    }
    .teacher-list-img-box{
        height: 95vw
    }
    .teacher-list{
        width: 100%;
    }
    .teacher-list:nth-child(even) {
        margin-left: 0px;
        margin-bottom: 20px;
    }
    .teacher-page-info-box{
        width: 340px;
    }
    .teacher-page-left-box{
        width: 100%;
    }
    .teacher-page-left-box .teacher-left-img-box{
        width: 100%;
        display: inline-block;
        vertical-align: top;
    }
    .teacher-page-left-box .teacher-list-link-list-box{
        width: 40%;
        display: inline-block;
        vertical-align: top;
        padding-left: 5px;
        box-sizing: border-box;
    }
    .teacher-page-left-box .teacher-list-link .teacher-list-introduction-p, 
    .teacher-page-left-box .teacher-list-link .teacher-list-link-p, 
    .teacher-page-left-box .teacher-list-link i{
        font-size: 14px;
    }
    .teacher-page-left-box .teacher-list-link.teacher-list-introduction{
        margin-top: 0;
        box-sizing: border-box;
    }

    .teacher-page-left-box .teacher-list-link {
        padding-top: 5.5px;
        padding-bottom: 2px;
    }
    .teacher-page-left-box .teacher-list-link:first-child{
        padding: 3px 0;
    }
    .teacher-list-link{
        width: 100%;
    }
    .teacher-page-left-box .teacher-list-link:nth-child(3){
        margin-left: 0;
    }
    .teacher-list-box .teacher-list-link{
        width: 31%;
    }
    .teacher-list-box .teacher-list-link:nth-child(3){
        margin: 5px 3.3%;
    }
    .teacher-out-box {
        top: -53px;
        
        color: #FFF;
    }
    .teacher-page-right-box{
        padding-left: 0;
    }
    .teacher-page-name{
        margin-top: 10px;
    }
    .teacher-page-info-box{
        height: inherit;
    }
    .teacher-page-right-box{
        width: 100%;
        display: block;
    }
    .teacher-page-right-course-s-list{
        margin: 0 2px;
    }
    @media only screen and (min-height: 400px){
        .teacher-page-left-box .teacher-left-img-box{
            width: 150px;
            height: 150px;
            display: block;
            margin: 0 auto;
        }
        .teacher-page-right-list-box {
            max-height: calc(100vh - 300px);
        }
    }
    @media only screen and (max-height: 400px){
        .teacher-page-left-box .teacher-left-img-box{
            width: 150px;
            height: 150px;
            display: block;
            margin: 0 auto;
        }
        .teacher-page-right-list-box {
            max-height: calc(100vh - 290px);
        }
    }
    @media only screen and (max-height: 330px){
        .teacher-page-left-box .teacher-left-img-box{
            width: 100px;
            height: 100px;
        }
        .teacher-page-right-list-box {
            max-height: calc(100vh - 240px);
        }
    }
}
@media only screen and (max-width: 550px){
    .teacher-box{
        width: 95%;
    }
    .teacher-page-info-box{
        width: 300px;
    }
    .teacher-page-right-video{
        height: 150px;
    }
    .teacher-list-introduction i{
        font-size: 12px;
    }
}

@media only screen and (min-width: 1001px){
    .about-title-box,
    .about-text-box p{
        opacity: 0;
    }
    .about-title-box.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .about-text-box p.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
}